#!/bin/sh

if [ "$KERNEL" = "" ] ; then
	KERNEL="`uname -r`"
fi

if [ "$IPTVERSION" = "" ] ; then
	IPTVERSION="`PATH="$PATH":/sbin:/usr/sbin:/usr/local/sbin iptables --version | sed -e 's/^[^0-9]*//'`"
fi

	for i in control rules ; do
		cat "for_debian/$i" | sed -e "s/__KERNEL_IMAGE__/${KERNEL}/g" -e "s/__IPTABLES_VERSION__/${IPTVERSION}/g" > "debian/$i"
		if [ -x "for_debian/$i" ] ; then
			chmod a+x "debian/$i"
		fi
	done
	dpkg-buildpackage -rfakeroot
	dh_clean
	for i in control rules ; do rm -f "debian/$i" ; done

